# 一、芯片设计技术服务

## 1、服务概述

我们公司提供全方位的芯片设计技术服务，涵盖从需求讨论、系统设计、逻辑设计、FPGA原型验证到最终的芯片制造、测试与验证等各个环节。我们采用行业领先的工具和技术，确保芯片的性能、功耗、稳定性都能满足客户需求。

## 2、 服务内容

- **需求分析与规划**：根据客户的应用场景，进行深度调研，分析产品需求，输出系统方案。
- **芯片架构设计**：从芯片框架设计到芯片核心模块设计，包括接口定义等，确保基于此架构就可以正常进行逻辑设计。
- **逻辑设计与验证**：使用先进的设计工具（如 Verilog）进行芯片逻辑设计，并通过仿真与验证工具（如 systemverilog）确保功能和性能的正确性。通过后仿确定芯片功耗、面积符合客户需求。
- **硬件设计与原理图**：在芯片封装设计时充分考虑到PCB板设计，不仅仅是考虑芯片本身，在芯片设计时就考虑产品的可靠性和稳定性。
- **制程与工艺**：团队与先进半导体制造厂有着长期的合作，对工艺细节了解充分，确保芯片生产过程中的质量控制与工艺优化，工艺良率达到业界领先水平。
- **测试与验证**：针对刚出厂的芯片，能对应设计开发测试板，提供包括功能测试、性能测试、功耗测试、热测试等全面的验证服务，保证客户收到的芯片都是合格产品。
- **量产与交付**：根据客户需求，我们提供从小批量试产到大规模量产的全程技术支持，并确保交付时效与质量。

## 3、 服务优势

- **全流程技术服务**：从芯从客户需求沟通到量产交付，提供端到端的技术服务，确保客户需求得到全方位满足。
- **行业经验**：我们的团队拥有多年芯片前后端设计经验，所设计的芯片均流片成功，能够应对复杂的设计挑战，提供个性化解决方案，在低功耗方面有独到的设计方法学。
- **技术工具**：采用业界公认的可靠的EDA工具链，保证设计功能正确和功耗、面积的准确性。
- **稳定的芯片制造商合作关系**：团队与SMIC、GF等芯片制造商有着良好的合作关系，在12nm、22nm等先进制程上均有流片并都是一版流片成功。

---
# 二、成功的工艺与产品案例

**产品：KS2PRO 运算加速芯片**
- **客户需求**：由于客户业务的急剧扩大，客户希望在KS1PRO基础上出一个性能更强、功耗更低的芯片。
- **解决方案**：在上版芯片的架构基础上进一步优化细节，缩减逻辑资源，节省面积。
- **技术亮点**：使用了定制化的12nm工艺，集成了多个核心模块，并通过自研AI算法加速模块，提升了AI运算能力。

**产品：YX1000 服务器芯片**
- **客户需求**：客户要求为复杂计算且数据安全设计一款高性能低功耗芯片，能够在复杂环境下稳定工作。
- **解决方案**：我们通过对客户去修的深度研究，设计了一款集成了高速计算、信号处理单元和数据传输功能的芯片。
- **技术亮点**：采用了定制化的22nm工艺，低功耗设计。

**产品：KS1PRO 运算加速芯片**
- **客户需求**：客户需要为云计算服务器设计一款高性能低功耗的SoC，支持AI加速处理。
- **解决方案**：我们根据客户的需求设计了一个集成soc和特定加速模块的系统级芯片。通过先进的架构和特定的低功耗设计，确保芯片在性能和功耗上的平衡。
- **技术亮点**：使用了定制化的22nm工艺，集成了多个核心模块，并通过自研AI算法加速模块，提升了AI运算能力。

**产品：VV10 信息安全芯片**
- **客户需求**：客户需要为云计算服务器设计一款高性能低功耗的加密芯片，支持常规RSA加密算法。
- **解决方案**：我们根据客户的需求设计了一个由CPU核心处理器连接外部存储并通过私有总线扩展外设接口，内部包含两个RAM，具备ITCM和DTCM用于指令和数据存储。
- **技术亮点**：EAI协处理器接口和AES算法核支持高效加解密运算，RSA算法核由控制、模乘和寄存器堆组成，实现高效RSA算法运算。
  
**产品：FX100 MCU芯片**
- **客户需求**：客户需要为医疗器械设计一款低功耗、多功能MCU芯片。
- **解决方案**：我们根据客户的需求设计了一个由两个Master和三个Slave组成，其中，两个Master分别是CPU内核和DMA控制器，三个Slave为内部SRAM，NVM和外设。
- **技术亮点**：FX100采用超低功耗休眠模式（μA级别），使得搭载该芯片的医疗器械在外部断电时依然可以通过内置电池继续工作。

**产品：XYV2 红外图像处理芯片**
- **客户需求**：客户需要为自己品牌的安防系统设计一款高性能、低功耗的红外图像处理芯片。
- **解决方案**：我们根据客户的需求设计了一个红外成像器件接收红外辐射生成图像数据；图像增强模块优化图像质量；CPU协调系统运作；DSPs进行图像处理；ROM存储程序代码；通用IO连接外部设备；图像处理加速器完成非均匀校正等；DDR3存储数据；FLASH接口存储系统信息；视频输出显示图像；调试接口用于系统维护。
- **技术亮点**：超低功耗可由内置电池供电，支持多种红外成像器件，图像处理速度快，功耗低，支持多种视频输出格式。

**产品：NAVT1 自动驾驶视觉处理芯片**
- **客户需求**：自动识别障碍物与车道线，适配自动驾驶系统。
- **解决方案**：内置神经网络引擎、图像识别模块，支持 CAN 通信。
- **技术亮点**：支持 YOLOv5，识别延迟低，集成 IMU 实现高精度导航。

**产品：BIOX1 指纹识别芯片**
- **客户需求**：智能门锁中实现快速安全的指纹识别。
- **解决方案**：内置光学传感器接口与指纹模板引擎，支持超低功耗待机。
- **技术亮点**：活体检测支持，0.3s 识别时间，极低误识率。

**产品：SND32 高保真音频处理芯片**
- **客户需求**：提升耳机或音响设备的音质体验。
- **解决方案**：集成 DAC/ADC、3D 音效引擎，兼容蓝牙音频协议。
- **技术亮点**：支持 192kHz/24bit，低失真率，音频处理延迟极低。

**产品：WIFI6-UC 通信协议芯片**
- **客户需求**：升级路由器至 Wi-Fi 6 并支持多设备高速连接。
- **解决方案**：实现 OFDMA、MU-MIMO 与 BSS Coloring，优化多终端通信。
- **技术亮点**：支持双频并发，吞吐率达 9.6Gbps，节能设计优秀。

**产品：AGRO1 农业环境监测芯片**
- **客户需求**：远程采集农田温湿光等环境信息。
- **解决方案**：集成多种传感器与 LoRa 通信模块，太阳能供电支持。
- **技术亮点**：超低功耗，传输距离远达 30km，工业级防护设计。

**产品：HEALX2 医疗级心电检测芯片**
- **客户需求**：便携心电检测仪实时采集和远程上传数据。
- **解决方案**：支持12导联采集、蓝牙传输与噪声滤除处理。
- **技术亮点**：高精度ADC，安卓/iOS SDK支持，内置实时预警机制。

**产品：INDT5 工业机器人控制芯片**
- **客户需求**：实现高精度机械臂多轴运动控制。
- **解决方案**：内置PWM控制、编码器接口与路径预测引擎。
- **技术亮点**：控制精度达0.01度，5us 指令周期，支持 EtherCAT。

**产品：GSEC8 安全加密芯片**
- **客户需求**：保障金融终端和智能设备数据安全。
- **解决方案**：集成 RSA/ECC 加速器，支持安全启动与防物理攻击。
- **技术亮点**：支持国密算法，具备 CC EAL5+ 认证与 TRNG。

**产品：VIDA-M 微型AI识别芯片**
- **客户需求**：摄像头内嵌芯片进行边缘端人脸与车辆识别。
- **解决方案**：集成 CNN 加速器，支持模型压缩和 OTA 升级。
- **技术亮点**：边缘推理延迟低，功耗仅 100mW，支持多对象识别。

---
## 三、未来发展与技术趋势

### 1. **AI加速芯片**
- **应用领域**：AI芯片在智能硬件、自动驾驶、工业互联网、智慧医疗等领域的需求越来越大。我们正在研发支持深度学习加速的定制芯片，助力AI技术的商业化应用。

### 2. **量子计算**
- **技术方向**：量子计算是一种基于量子力学原理的新型计算范式，量子计算被广泛认为将在密码学、材料科学、药物开发、人工智能等领域引发革命性变革。

### 3. **低功耗量子计算芯片**
- **未来规划**：随着量子计算的发展，芯片技术正不断突破，为了实现量子计算设备的小型化、集成化和实用化，低功耗量子计算芯片成为核心技术方向之一。
---
## 四、技术支持与客户服务

### 1. **技术咨询**
- 提供芯片设计前的需求分析、技术选型、系统架构建议。

### 2. **定制化开发**
- 根据客户的特定需求，提供个性化定制的芯片设计服务，确保项目的高效实施。

### 3. **产品维护与升级**
- 提供持续的技术支持，定期为客户的芯片产品提供性能优化与功能升级。

---
## 五、公司简介
我们公司是一家专注于集成电路设计的高科技公司，致力于为客户提供从芯片设计到量产的全流程服务。我们的团队拥有丰富的行业经验，采用最先进的工具和技术，为客户提供高品质的芯片解决方案。我们始终坚持以客户为中心，以技术为驱动，致力于推动集成电路行业的创新与发展。

**为什么选择汉晶？**
- IC设计全生命周期一站式覆盖
- 独特的低功耗设计，让芯片更有竞争力
- 有稳定的芯片制造商合作关系 
- 流片均一版成功，即流片成功率100%，助力客户赢得市场